diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/test/test-lte-handover-failure.cc ns-3.44/src/lte/test/test-lte-handover-failure.cc
--- ns-3.43/src/lte/test/test-lte-handover-failure.cc	2024-10-09 16:41:10.052656400 -0700
+++ ns-3.44/src/lte/test/test-lte-handover-failure.cc	2025-03-09 16:55:49.611372000 -0700
@@ -7,37 +7,37 @@
  * Author: Sachin Nayak <sachinnn@uw.edu>
  */
 
-#include <ns3/boolean.h>
-#include <ns3/callback.h>
-#include <ns3/config.h>
-#include <ns3/data-rate.h>
-#include <ns3/internet-stack-helper.h>
-#include <ns3/ipv4-address-helper.h>
-#include <ns3/ipv4-interface-container.h>
-#include <ns3/ipv4-static-routing-helper.h>
-#include <ns3/ipv4-static-routing.h>
-#include <ns3/log.h>
-#include <ns3/lte-helper.h>
-#include <ns3/lte-ue-net-device.h>
-#include <ns3/mobility-helper.h>
-#include <ns3/net-device-container.h>
-#include <ns3/node-container.h>
-#include <ns3/nstime.h>
-#include <ns3/point-to-point-epc-helper.h>
-#include <ns3/point-to-point-helper.h>
-#include <ns3/position-allocator.h>
-#include <ns3/rng-seed-manager.h>
-#include <ns3/simulator.h>
-#include <ns3/test.h>
+#include "ns3/boolean.h"
+#include "ns3/callback.h"
+#include "ns3/config.h"
+#include "ns3/data-rate.h"
+#include "ns3/internet-stack-helper.h"
+#include "ns3/ipv4-address-helper.h"
+#include "ns3/ipv4-interface-container.h"
+#include "ns3/ipv4-static-routing-helper.h"
+#include "ns3/ipv4-static-routing.h"
+#include "ns3/log.h"
+#include "ns3/lte-helper.h"
+#include "ns3/lte-ue-net-device.h"
+#include "ns3/mobility-helper.h"
+#include "ns3/net-device-container.h"
+#include "ns3/node-container.h"
+#include "ns3/nstime.h"
+#include "ns3/point-to-point-epc-helper.h"
+#include "ns3/point-to-point-helper.h"
+#include "ns3/position-allocator.h"
+#include "ns3/rng-seed-manager.h"
+#include "ns3/simulator.h"
+#include "ns3/test.h"
 
 using namespace ns3;
 
 NS_LOG_COMPONENT_DEFINE("LteHandoverFailureTest");
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  *
- * \brief Verifying that a handover failure occurs due to various causes
+ * @brief Verifying that a handover failure occurs due to various causes
  *
  * Handover failure cases dealt with in this test include the below.
  *
@@ -54,31 +54,31 @@
     /**
      * Constructor
      *
-     * \param name the name of the test case, to be displayed in the test result
-     * \param useIdealRrc if true, use the ideal RRC
-     * \param handoverTime the time of handover
-     * \param simulationDuration duration of the simulation
-     * \param numberOfRaPreambles number of random access preambles available for contention based
+     * @param name the name of the test case, to be displayed in the test result
+     * @param useIdealRrc if true, use the ideal RRC
+     * @param handoverTime the time of handover
+     * @param simulationDuration duration of the simulation
+     * @param numberOfRaPreambles number of random access preambles available for contention based
      RACH process
      *                            number of non-contention preambles available for handover = (64 -
      numberRaPreambles)
      *                            as numberOfRaPreambles out of the max 64 are reserved contention
      based RACH process
-     * \param preambleTransMax maximum number of random access preamble transmissions from UE to
+     * @param preambleTransMax maximum number of random access preamble transmissions from UE to
      eNodeB
-     * \param raResponseWindowSize window length for reception of random access response (RAR)
-     * \param handoverJoiningTimeout time before which RRC RECONFIGURATION COMPLETE must be received
+     * @param raResponseWindowSize window length for reception of random access response (RAR)
+     * @param handoverJoiningTimeout time before which RRC RECONFIGURATION COMPLETE must be received
                                      at target eNodeB after it receives a handover request
                                      Else, the UE context is destroyed in the RRC.
                                      Timeout can occur before different stages as below.
                                      i. Reception of RRC CONNECTION RECONFIGURATION at source eNodeB
                                      ii. Non-contention random access procedure from UE to target
      eNodeB iii. Reception of RRC CONNECTION RECONFIGURATION COMPLETE at target eNodeB
-     * \param handoverLeavingTimeout time before which source eNodeB must receive a UE context
+     * @param handoverLeavingTimeout time before which source eNodeB must receive a UE context
      release from target eNodeB or RRC CONNECTION RESTABLISHMENT from UE after issuing a handover
      request Else, the UE context is destroyed in the RRC. Timeout can occur before any of the cases
      in HANDOVER JOINING TIMEOUT
-     * \param targeteNodeBPosition position of the target eNodeB
+     * @param targeteNodeBPosition position of the target eNodeB
      */
     LteHandoverFailureTestCase(std::string name,
                                bool useIdealRrc,
@@ -106,24 +106,24 @@
 
   private:
     /**
-     * \brief Run a simulation of a two eNodeB network using the parameters
+     * @brief Run a simulation of a two eNodeB network using the parameters
      *        provided to the constructor function.
      */
     void DoRun() override;
 
     /**
-     * \brief Called at the end of simulation and verifies that a handover
+     * @brief Called at the end of simulation and verifies that a handover
      *        and a handover failure has occurred in the simulation.
      */
     void DoTeardown() override;
 
     /**
      * UE handover start callback function to indicate start of handover
-     * \param context the context string
-     * \param imsi the IMSI
-     * \param sourceCellId the source cell ID
-     * \param rnti the RNTI
-     * \param targetCellId the target cell ID
+     * @param context the context string
+     * @param imsi the IMSI
+     * @param sourceCellId the source cell ID
+     * @param rnti the RNTI
+     * @param targetCellId the target cell ID
      */
     void UeHandoverStartCallback(std::string context,
                                  uint64_t imsi,
@@ -133,10 +133,10 @@
 
     /**
      * Handover failure callback due to maximum RACH transmissions reached from UE to target eNodeB
-     * \param context the context string
-     * \param imsi the IMSI
-     * \param rnti the RNTI
-     * \param targetCellId the target cell ID
+     * @param context the context string
+     * @param imsi the IMSI
+     * @param rnti the RNTI
+     * @param targetCellId the target cell ID
      */
     void HandoverFailureMaxRach(std::string context,
                                 uint64_t imsi,
@@ -145,10 +145,10 @@
 
     /**
      * Handover failure callback due to non-allocation of non-contention preamble at target eNodeB
-     * \param context the context string
-     * \param imsi the IMSI
-     * \param rnti the RNTI
-     * \param targetCellId the target cell ID
+     * @param context the context string
+     * @param imsi the IMSI
+     * @param rnti the RNTI
+     * @param targetCellId the target cell ID
      */
     void HandoverFailureNoPreamble(std::string context,
                                    uint64_t imsi,
@@ -157,10 +157,10 @@
 
     /**
      * Handover failure callback due to handover joining timeout at target eNodeB
-     * \param context the context string
-     * \param imsi the IMSI
-     * \param rnti the RNTI
-     * \param targetCellId the target cell ID
+     * @param context the context string
+     * @param imsi the IMSI
+     * @param rnti the RNTI
+     * @param targetCellId the target cell ID
      */
     void HandoverFailureJoining(std::string context,
                                 uint64_t imsi,
@@ -169,10 +169,10 @@
 
     /**
      * Handover failure callback due to handover leaving timeout at source eNodeB
-     * \param context the context string
-     * \param imsi the IMSI
-     * \param rnti the RNTI
-     * \param targetCellId the target cell ID
+     * @param context the context string
+     * @param imsi the IMSI
+     * @param rnti the RNTI
+     * @param targetCellId the target cell ID
      */
     void HandoverFailureLeaving(std::string context,
                                 uint64_t imsi,
@@ -356,12 +356,12 @@
 }
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  *
  * The following log components can be used to debug this test's behavior:
  * LteHandoverFailureTest:LteEnbRrc:LteEnbMac:LteUeRrc:EpcX2
  *
- * \brief Lte Handover Failure Test Suite
+ * @brief Lte Handover Failure Test Suite
  */
 static class LteHandoverFailureTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/test/test-lte-handover-target.cc ns-3.44/src/lte/test/test-lte-handover-target.cc
--- ns-3.43/src/lte/test/test-lte-handover-target.cc	2024-10-09 16:41:10.052656400 -0700
+++ ns-3.44/src/lte/test/test-lte-handover-target.cc	2025-03-09 16:55:49.611372000 -0700
@@ -7,39 +7,39 @@
  *
  */
 
-#include <ns3/boolean.h>
-#include <ns3/callback.h>
-#include <ns3/config.h>
-#include <ns3/data-rate.h>
-#include <ns3/double.h>
-#include <ns3/internet-stack-helper.h>
-#include <ns3/ipv4-address-helper.h>
-#include <ns3/ipv4-interface-container.h>
-#include <ns3/ipv4-static-routing-helper.h>
-#include <ns3/ipv4-static-routing.h>
-#include <ns3/log.h>
-#include <ns3/lte-enb-net-device.h>
-#include <ns3/lte-enb-phy.h>
-#include <ns3/lte-helper.h>
-#include <ns3/mobility-helper.h>
-#include <ns3/net-device-container.h>
-#include <ns3/node-container.h>
-#include <ns3/nstime.h>
-#include <ns3/point-to-point-epc-helper.h>
-#include <ns3/point-to-point-helper.h>
-#include <ns3/position-allocator.h>
-#include <ns3/simulator.h>
-#include <ns3/test.h>
-#include <ns3/uinteger.h>
+#include "ns3/boolean.h"
+#include "ns3/callback.h"
+#include "ns3/config.h"
+#include "ns3/data-rate.h"
+#include "ns3/double.h"
+#include "ns3/internet-stack-helper.h"
+#include "ns3/ipv4-address-helper.h"
+#include "ns3/ipv4-interface-container.h"
+#include "ns3/ipv4-static-routing-helper.h"
+#include "ns3/ipv4-static-routing.h"
+#include "ns3/log.h"
+#include "ns3/lte-enb-net-device.h"
+#include "ns3/lte-enb-phy.h"
+#include "ns3/lte-helper.h"
+#include "ns3/mobility-helper.h"
+#include "ns3/net-device-container.h"
+#include "ns3/node-container.h"
+#include "ns3/nstime.h"
+#include "ns3/point-to-point-epc-helper.h"
+#include "ns3/point-to-point-helper.h"
+#include "ns3/position-allocator.h"
+#include "ns3/simulator.h"
+#include "ns3/test.h"
+#include "ns3/uinteger.h"
 
 using namespace ns3;
 
 NS_LOG_COMPONENT_DEFINE("LteHandoverTargetTest");
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  *
- * \brief Testing a handover algorithm, verifying that it selects the right
+ * @brief Testing a handover algorithm, verifying that it selects the right
  *        target cell when more than one options available.
  *
  * Part of the `lte-handover-target` test suite.
@@ -53,21 +53,21 @@
 {
   public:
     /**
-     * \brief Construct a new test case and providing input parameters for the
+     * @brief Construct a new test case and providing input parameters for the
      *        simulation.
-     * \param name the name of the test case, to be displayed in the test result
-     * \param uePosition the point in (x, y, z) coordinate where the UE will be
+     * @param name the name of the test case, to be displayed in the test result
+     * @param uePosition the point in (x, y, z) coordinate where the UE will be
      *                   placed in the simulation
-     * \param gridSizeX number of eNodeBs in a row
-     * \param gridSizeY number of eNodeBs in a column
-     * \param sourceCellId the cell ID of the eNodeB which the UE will be
+     * @param gridSizeX number of eNodeBs in a row
+     * @param gridSizeY number of eNodeBs in a column
+     * @param sourceCellId the cell ID of the eNodeB which the UE will be
      *                     initially attached to in the beginning of simulation,
      *                     and also the eNodeB which will "shutdown" in the
      *                     middle of simulation
-     * \param targetCellId the cell ID of the expected eNodeB where the UE will
+     * @param targetCellId the cell ID of the expected eNodeB where the UE will
      *                     perform handover to after the "shutdown" of the source
      *                     cell
-     * \param handoverAlgorithmType the type of handover algorithm to be used in
+     * @param handoverAlgorithmType the type of handover algorithm to be used in
      *                              all eNodeBs
      */
     LteHandoverTargetTestCase(std::string name,
@@ -81,17 +81,17 @@
     ~LteHandoverTargetTestCase() override;
 
     /**
-     * \brief Triggers when an eNodeB starts a handover and then verifies that
+     * @brief Triggers when an eNodeB starts a handover and then verifies that
      *        the handover has the right source and target cells.
      *
      * The trigger is set up beforehand by connecting to the
      * `LteEnbRrc::HandoverStart` trace source.
      *
-     * \param context the context string
-     * \param imsi the IMSI
-     * \param sourceCellId the source cell ID
-     * \param rnti the RNTI
-     * \param targetCellId the target cell ID
+     * @param context the context string
+     * @param imsi the IMSI
+     * @param sourceCellId the source cell ID
+     * @param rnti the RNTI
+     * @param targetCellId the target cell ID
      */
     void HandoverStartCallback(std::string context,
                                uint64_t imsi,
@@ -100,20 +100,20 @@
                                uint16_t targetCellId);
 
     /**
-     * \brief A trigger that can be scheduled to "shutdown" the cell pointed by
+     * @brief A trigger that can be scheduled to "shutdown" the cell pointed by
      *        `m_sourceCellId` by reducing its power to 1 dB.
      */
     void CellShutdownCallback();
 
   private:
     /**
-     * \brief Run a simulation of a micro-cell network using the parameters
+     * @brief Run a simulation of a micro-cell network using the parameters
      *        provided to the constructor function.
      */
     void DoRun() override;
 
     /**
-     * \brief Called at the end of simulation and verifies that a handover has
+     * @brief Called at the end of simulation and verifies that a handover has
      *        occurred in the simulation.
      */
     void DoTeardown() override;
@@ -366,7 +366,7 @@
 }
 
 /**
- * \brief Test suite ``lte-handover-target``, verifying that handover
+ * @brief Test suite ``lte-handover-target``, verifying that handover
  *        algorithms are able to select the right target cell.
  *
  * Handover algorithm tested in this test suite:
@@ -438,7 +438,7 @@
 } // end of LteHandoverTargetTestSuite ()
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  * Static variable for test initialization
  */
 static LteHandoverTargetTestSuite g_lteHandoverTargetTestSuiteInstance;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/test/test-lte-rlc-header.cc ns-3.44/src/lte/test/test-lte-rlc-header.cc
--- ns-3.43/src/lte/test/test-lte-rlc-header.cc	2024-10-09 16:41:10.052656400 -0700
+++ ns-3.44/src/lte/test/test-lte-rlc-header.cc	2025-03-09 16:55:49.611372000 -0700
@@ -24,17 +24,17 @@
 {
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  *
- * \brief Test Utils
+ * @brief Test Utils
  */
 class TestUtils
 {
   public:
     /**
      * Function to convert packet contents in hex format
-     * \param pkt the packet
-     * \returns a text string
+     * @param pkt the packet
+     * @returns a text string
      */
     static std::string sprintPacketContentsHex(Ptr<Packet> pkt)
     {
@@ -50,8 +50,8 @@
 
     /**
      * Function to convert packet contents in binary format
-     * \param pkt the packet
-     * \returns a text string
+     * @param pkt the packet
+     * @returns a text string
      */
     static std::string sprintPacketContentsBin(Ptr<Packet> pkt)
     {
@@ -67,7 +67,7 @@
 
     /**
      * Function to log packet contents
-     * \param pkt the packet
+     * @param pkt the packet
      */
     static void LogPacketContents(Ptr<Packet> pkt)
     {
@@ -78,8 +78,8 @@
 
     /**
      * Log packet info function
-     * \param source T
-     * \param s text string to log
+     * @param source T
+     * @param s text string to log
      */
     template <class T>
     static void LogPacketInfo(T source, std::string s)
@@ -92,9 +92,9 @@
 };
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  *
- * \brief Rlc Am Status Pdu Test Case
+ * @brief Rlc Am Status Pdu Test Case
  */
 class RlcAmStatusPduTestCase : public TestCase
 {
@@ -102,9 +102,9 @@
     /**
      * Constructor
      *
-     * \param ackSn the sequence number
-     * \param nackSnList list of nack sequence numbers
-     * \param hex string
+     * @param ackSn the sequence number
+     * @param nackSnList list of nack sequence numbers
+     * @param hex string
      */
     RlcAmStatusPduTestCase(SequenceNumber10 ackSn,
                            std::list<SequenceNumber10> nackSnList,
@@ -170,9 +170,9 @@
 }
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  *
- * \brief Lte Rlc Header Test Suite
+ * @brief Lte Rlc Header Test Suite
  */
 class LteRlcHeaderTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/test/test-lte-rrc.cc ns-3.44/src/lte/test/test-lte-rrc.cc
--- ns-3.43/src/lte/test/test-lte-rrc.cc	2024-10-09 16:41:10.052656400 -0700
+++ ns-3.44/src/lte/test/test-lte-rrc.cc	2025-03-09 16:55:49.611372000 -0700
@@ -7,10 +7,10 @@
  *         Budiarto Herman <budiarto.herman@magister.fi>
  */
 
-#include <ns3/core-module.h>
-#include <ns3/lte-module.h>
-#include <ns3/mobility-module.h>
-#include <ns3/network-module.h>
+#include "ns3/core-module.h"
+#include "ns3/lte-module.h"
+#include "ns3/mobility-module.h"
+#include "ns3/network-module.h"
 
 #include <cmath>
 
@@ -19,9 +19,9 @@
 NS_LOG_COMPONENT_DEFINE("LteRrcTest");
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  *
- * \brief Test rrc connection establishment.
+ * @brief Test rrc connection establishment.
  */
 class LteRrcConnectionEstablishmentTestCase : public TestCase
 {
@@ -29,17 +29,17 @@
     /**
      *
      *
-     * \param nUes number of UEs in the test
-     * \param nBearers number of bearers to be setup in each connection
-     * \param tConnBase connection time base value for all UEs in ms
-     * \param tConnIncrPerUe additional connection time increment for each UE index (0...nUes-1) in
+     * @param nUes number of UEs in the test
+     * @param nBearers number of bearers to be setup in each connection
+     * @param tConnBase connection time base value for all UEs in ms
+     * @param tConnIncrPerUe additional connection time increment for each UE index (0...nUes-1) in
      * ms
-     * \param delayDiscStart expected duration to perform connection establishment in ms
-     * \param errorExpected if true, test case will wait a bit longer to accommodate for
+     * @param delayDiscStart expected duration to perform connection establishment in ms
+     * @param errorExpected if true, test case will wait a bit longer to accommodate for
      * transmission error
-     * \param useIdealRrc If set to false, real RRC protocol model will be used
-     * \param admitRrcConnectionRequest If set to false, eNb will not allow UE connections
-     * \param description additional description of the test case
+     * @param useIdealRrc If set to false, real RRC protocol model will be used
+     * @param admitRrcConnectionRequest If set to false, eNb will not allow UE connections
+     * @param description additional description of the test case
      */
     LteRrcConnectionEstablishmentTestCase(uint32_t nUes,
                                           uint32_t nBearers,
@@ -58,16 +58,16 @@
     /**
      * Build name string function
      *
-     * \param nUes number of UEs in the test
-     * \param nBearers number of bearers to be setup in each connection
-     * \param tConnBase connection time base value for all UEs in ms
-     * \param tConnIncrPerUe additional connection time increment for each UE index (0...nUes-1)
+     * @param nUes number of UEs in the test
+     * @param nBearers number of bearers to be setup in each connection
+     * @param tConnBase connection time base value for all UEs in ms
+     * @param tConnIncrPerUe additional connection time increment for each UE index (0...nUes-1)
      * in ms
-     * \param delayDiscStart expected duration to perform connection establishment in ms
-     * \param useIdealRrc If set to false, real RRC protocol model will be used
-     * \param admitRrcConnectionRequest If set to false, eNb will not allow UE connections
-     * \param description additional description of the test case
-     * \returns the name string
+     * @param delayDiscStart expected duration to perform connection establishment in ms
+     * @param useIdealRrc If set to false, real RRC protocol model will be used
+     * @param admitRrcConnectionRequest If set to false, eNb will not allow UE connections
+     * @param description additional description of the test case
+     * @returns the name string
      */
     static std::string BuildNameString(uint32_t nUes,
                                        uint32_t nBearers,
@@ -79,28 +79,28 @@
                                        std::string description = "");
     /**
      * Connect function
-     * \param ueDevice the UE device
-     * \param enbDevice the ENB device
+     * @param ueDevice the UE device
+     * @param enbDevice the ENB device
      */
     void Connect(Ptr<NetDevice> ueDevice, Ptr<NetDevice> enbDevice);
     /**
      * Check connected function
-     * \param ueDevice the UE device
-     * \param enbDevice the ENB device
+     * @param ueDevice the UE device
+     * @param enbDevice the ENB device
      */
     void CheckConnected(Ptr<NetDevice> ueDevice, Ptr<NetDevice> enbDevice);
     /**
      * Check not connected function
-     * \param ueDevice the UE device
-     * \param enbDevice the ENB device
+     * @param ueDevice the UE device
+     * @param enbDevice the ENB device
      */
     void CheckNotConnected(Ptr<NetDevice> ueDevice, Ptr<NetDevice> enbDevice);
     /**
      * Connection established callback function
-     * \param context the context string
-     * \param imsi the IMSI
-     * \param cellId the cell ID
-     * \param rnti the RNTI
+     * @param context the context string
+     * @param imsi the IMSI
+     * @param cellId the cell ID
+     * @param rnti the RNTI
      */
     void ConnectionEstablishedCallback(std::string context,
                                        uint64_t imsi,
@@ -108,11 +108,11 @@
                                        uint16_t rnti);
     /**
      * Connection timeout callback function
-     * \param context the context string
-     * \param imsi the IMSI
-     * \param cellId the cell ID
-     * \param rnti the RNTI
-     * \param connEstFailCount the T300 timer expiration counter value
+     * @param context the context string
+     * @param imsi the IMSI
+     * @param cellId the cell ID
+     * @param rnti the RNTI
+     * @param connEstFailCount the T300 timer expiration counter value
      */
     void ConnectionTimeoutCallback(std::string context,
                                    uint64_t imsi,
@@ -571,9 +571,9 @@
 }
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  *
- * \brief Lte Rrc Connection Establishment Error Test Case
+ * @brief Lte Rrc Connection Establishment Error Test Case
  */
 class LteRrcConnectionEstablishmentErrorTestCase : public LteRrcConnectionEstablishmentTestCase
 {
@@ -581,9 +581,9 @@
     /**
      *
      *
-     * \param jumpAwayTime the time when all the UEs 'teleport' to a pre-defined
+     * @param jumpAwayTime the time when all the UEs 'teleport' to a pre-defined
      *                     high-interference position and stay there for 100 ms
-     * \param description additional description of the test case
+     * @param description additional description of the test case
      */
     LteRrcConnectionEstablishmentErrorTestCase(Time jumpAwayTime, std::string description = "");
 
@@ -751,9 +751,9 @@
 }
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  *
- * \brief Lte Rrc Test Suite
+ * @brief Lte Rrc Test Suite
  */
 class LteRrcTestSuite : public TestSuite
 {
@@ -879,7 +879,7 @@
 }
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  * Static variable for test initialization
  */
 static LteRrcTestSuite g_lteRrcTestSuiteInstance;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/test/test-lte-x2-handover.cc ns-3.44/src/lte/test/test-lte-x2-handover.cc
--- ns-3.43/src/lte/test/test-lte-x2-handover.cc	2024-10-09 16:41:10.052656400 -0700
+++ ns-3.44/src/lte/test/test-lte-x2-handover.cc	2025-03-09 16:55:49.611372000 -0700
@@ -6,24 +6,24 @@
  * Author: Nicola Baldo <nbaldo@cttc.es>
  */
 
-#include <ns3/core-module.h>
-#include <ns3/internet-module.h>
-#include <ns3/lte-module.h>
-#include <ns3/mobility-module.h>
-#include <ns3/network-module.h>
-#include <ns3/packet-sink-helper.h>
-#include <ns3/packet-sink.h>
-#include <ns3/point-to-point-module.h>
-#include <ns3/udp-client-server-helper.h>
+#include "ns3/core-module.h"
+#include "ns3/internet-module.h"
+#include "ns3/lte-module.h"
+#include "ns3/mobility-module.h"
+#include "ns3/network-module.h"
+#include "ns3/packet-sink-helper.h"
+#include "ns3/packet-sink.h"
+#include "ns3/point-to-point-module.h"
+#include "ns3/udp-client-server-helper.h"
 
 using namespace ns3;
 
 NS_LOG_COMPONENT_DEFINE("LteX2HandoverTest");
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  *
- * \brief HandoverEvent structure
+ * @brief HandoverEvent structure
  */
 struct HandoverEvent
 {
@@ -34,9 +34,9 @@
 };
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  *
- * \brief Test X2 Handover. In this test is used NoOpHandoverAlgorithm and
+ * @brief Test X2 Handover. In this test is used NoOpHandoverAlgorithm and
  * the request for handover is generated manually, and it is not based on measurements.
  */
 class LteX2HandoverTestCase : public TestCase
@@ -45,13 +45,13 @@
     /**
      *
      *
-     * \param nUes number of UEs in the test
-     * \param nDedicatedBearers number of bearers to be activated per UE
-     * \param handoverEventList
-     * \param handoverEventListName
-     * \param schedulerType the scheduler type
-     * \param admitHo
-     * \param useIdealRrc true if the ideal RRC should be used
+     * @param nUes number of UEs in the test
+     * @param nDedicatedBearers number of bearers to be activated per UE
+     * @param handoverEventList
+     * @param handoverEventListName
+     * @param schedulerType the scheduler type
+     * @param admitHo
+     * @param useIdealRrc true if the ideal RRC should be used
      */
     LteX2HandoverTestCase(uint32_t nUes,
                           uint32_t nDedicatedBearers,
@@ -64,13 +64,13 @@
   private:
     /**
      * Build name string
-     * \param nUes number of UEs in the test
-     * \param nDedicatedBearers number of bearers to be activated per UE
-     * \param handoverEventListName
-     * \param schedulerType the scheduler type
-     * \param admitHo
-     * \param useIdealRrc true if the ideal RRC should be used
-     * \returns the name string
+     * @param nUes number of UEs in the test
+     * @param nDedicatedBearers number of bearers to be activated per UE
+     * @param handoverEventListName
+     * @param schedulerType the scheduler type
+     * @param admitHo
+     * @param useIdealRrc true if the ideal RRC should be used
+     * @returns the name string
      */
     static std::string BuildNameString(uint32_t nUes,
                                        uint32_t nDedicatedBearers,
@@ -81,21 +81,21 @@
     void DoRun() override;
     /**
      * Check connected function
-     * \param ueDevice the UE device
-     * \param enbDevice the ENB device
+     * @param ueDevice the UE device
+     * @param enbDevice the ENB device
      */
     void CheckConnected(Ptr<NetDevice> ueDevice, Ptr<NetDevice> enbDevice);
 
     /**
      * Teleport UE between both eNBs of the test
-     * \param ueNode the UE node
+     * @param ueNode the UE node
      */
     void TeleportUeToMiddle(Ptr<Node> ueNode);
 
     /**
      * Teleport UE near the target eNB of the handover
-     * \param ueNode the UE node
-     * \param enbNode the target eNB node
+     * @param ueNode the UE node
+     * @param enbNode the target eNB node
      */
     void TeleportUeNearTargetEnb(Ptr<Node> ueNode, Ptr<Node> enbNode);
 
@@ -111,9 +111,9 @@
     Ptr<PointToPointEpcHelper> m_epcHelper;       ///< EPC helper
 
     /**
-     * \ingroup lte-test
+     * @ingroup lte-test
      *
-     * \brief BearerData structure
+     * @brief BearerData structure
      */
     struct BearerData
     {
@@ -125,9 +125,9 @@
     };
 
     /**
-     * \ingroup lte-test
+     * @ingroup lte-test
      *
-     * \brief UeData structure
+     * @brief UeData structure
      */
     struct UeData
     {
@@ -136,13 +136,13 @@
     };
 
     /**
-     * \brief Save stats after handover function
-     * \param ueIndex the index of the UE
+     * @brief Save stats after handover function
+     * @param ueIndex the index of the UE
      */
     void SaveStatsAfterHandover(uint32_t ueIndex);
     /**
-     * \brief Check stats a while after handover function
-     * \param ueIndex the index of the UE
+     * @brief Check stats a while after handover function
+     * @param ueIndex the index of the UE
      */
     void CheckStatsAWhileAfterHandover(uint32_t ueIndex);
 
@@ -440,7 +440,7 @@
 
     // schedule handover events and corresponding checks
 
-    Time stopTime = Seconds(0);
+    Time stopTime;
     for (auto hoEventIt = m_handoverEventList.begin(); hoEventIt != m_handoverEventList.end();
          ++hoEventIt)
     {
@@ -642,9 +642,9 @@
 }
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  *
- * \brief LTE X2 Handover Test Suite.
+ * @brief LTE X2 Handover Test Suite.
  *
  * In this test suite, we use NoOpHandoverAlgorithm, i.e. "handover algorithm which does nothing"
  * is used and handover is triggered manually. The automatic handover algorithms (A2A4, A3Rsrp)
@@ -1079,7 +1079,7 @@
 }
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  * Static variable for test initialization
  */
 static LteX2HandoverTestSuite g_lteX2HandoverTestSuiteInstance;
